ChiliProject - Feature # 672: Allow queries to include subproject issues
Remote issue URL:
Description: Currently:

Issues are shown in two ways:

# issues for the current project only
# issues for the current project and subprojects (i.e. rollup)

This is controlled by an admin setting systemwide.

This patch changes how this works by:

* moves the "include subprojects" part down to each Query object

* adds a user interface to the issues list to let the user decide if they want to include or exclude subprojects on
a case-by-case basis

* changes the Admin setting to function only as the default option

Should be backwards compatible with 2.x but there is the addition of a new database field (for saved queries)

Associated revisions

2011-10-26 03:13 am - Eric Davis

[#672] Allow each Query to control if subprojects are included or not

2011-11-13 09:11 pm - Felix SchArfer
Merge pull request #111 from edavis10/ticket/unstable/672-query-subprojects

#672 Allow queries to include subproject issues

History

2011-10-26 01:19 am - Eric Davis

- Status changed from Open to Ready for review

This is ready for review. | created it against unstable but | think it could be included into master. There is a database migration but the migration is

backwards compatible so it could be in a minor release according to [[Release Standards]].

Pull request: https://github.com/chiliproject/chiliproject/pull/111

2011-11-13 08:15 pm - Felix Schéafer
- Target version set to 3.0.0

- Status changed from Ready for review to Closed

Merged on github, though | think the Ul on the new project form could use a refinement, see #696 for that. Thanks :-)
